Bug 982957 - Mount davfs via systemd unit not work
Mount davfs via systemd unit not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 04:24 EDT by Vasiliy Glazov
Modified: 2013-08-21 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:51:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2013-07-10 04:24:41 EDT
Description of problem:
I wrote systemd mount unit for mounting davfs filesystem at startup. In F18 it workin normal. But in F19 it stopped by selinux.

Version-Release number of selected component (if applicable):
davfs2-1.4.7-1.fc19.x86_64
selinux-policy-3.12.1-59.fc19.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Systemd unit
/etc/systemd/system/home-vascom-yandex.disk.mount 
[Unit]
Description=Mount my yandex.disk  
Requires=network.target   
After=network.target 
After=remote-fs.target
 
[Mount]
What="https://webdav.yandex.ru/"
Where=/home/vascom/yandex.disk
Type=davfs
Options=uid=1000,gid=1000
TimeoutSec=600

[Install]
WantedBy=multi-user.target

2. Password wrote to /etc/davfs2/secrets

3. systemctl start home-vascom-yandex.disk.mount

Actual results:
FS not mounted.
In dmesg
type=1400 audit(1373443648.781:22): avc: denied { create } for pid=13630 comm="mount.davfs" name="mount.davfs" scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=dir

And sealert not show any messages about it.

Expected results:
Normal mounting.

Additional info:
Manual command
/sbin/mount.davfs "https://webdav.yandex.ru/" /home/vascom/yandex.disk -o rw,uid=1000,gid=1000
work properly.
Comment 1 Daniel Walsh 2013-08-13 18:21:28 EDT
6fefae0767f54d965a3e03e548b7759a067fcf17 fixes this in git.
Comment 2 Fedora Update System 2013-08-20 04:24:49 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 3 Fedora Update System 2013-08-20 20:14:01 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 4 Vasiliy Glazov 2013-08-21 07:55:28 EDT
Thanks, it work.
Comment 5 Fedora Update System 2013-08-21 20:51:22 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.